#!/usr/bin/tclsh
#
# xL-uldlratio v1.2
#
# (C) 2003 xoLax

bind pub -|- !alstats pub:alratio
bind pub -|- !mnstats pub:mnratio
bind pub -|- !wkstats pub:wkratio
bind pub -|- !daystats pub:dayratio

bind msg -|- !alstats msg:alratio
bind msg -|- !mnstats msg:mnratio
bind msg -|- !wkstats msg:wkratio
bind msg -|- !daystats msg:dayratio


set ratiobin {/glftpd/bin/xl-uldlratio.sh}


proc pub:alratio {nick output binary chan text} {
 global ratiobin
 set USER [lindex $text 0]
 foreach line [split [exec $ratiobin ALRATIO $USER] "\n"] {
     putquick "PRIVMSG $chan :$line"
 }
}

proc pub:mnratio {nick output binary chan text} {
 global ratiobin
 set USER [lindex $text 0]
 foreach line [split [exec $ratiobin MNRATIO $USER] "\n"] {
     putquick "PRIVMSG $chan :$line"
 }
}

proc pub:wkratio {nick output binary chan text} {
 global ratiobin
 set USER [lindex $text 0]
 foreach line [split [exec $ratiobin WKRATIO $USER] "\n"] {
     putquick "PRIVMSG $chan :$line"
 }
}

proc pub:dayratio {nick output binary chan text} {
 global ratiobin
 set USER [lindex $text 0]
 foreach line [split [exec $ratiobin DAYRATIO $USER] "\n"] {
     putquick "PRIVMSG $chan :$line"
 }
}

proc msg:alratio { nick host hand text } {
 global ratiobin
 set USER [lindex $text 0]
 foreach line [split [exec $ratiobin ALRATIO $USER] "\n"] {
     putquick "PRIVMSG $nick :$line"
 }
}

proc msg:mnratio { nick host hand text } {
 global ratiobin
 set USER [lindex $text 0]
 foreach line [split [exec $ratiobin MNRATIO $USER] "\n"] {
     putquick "PRIVMSG $nick :$line"
 }
}

proc msg:wkratio { nick host hand text } {
 global ratiobin
 set USER [lindex $text 0]
 foreach line [split [exec $ratiobin WKRATIO $USER] "\n"] {
     putquick "PRIVMSG $nick :$line"
 }
}

proc msg:dayratio { nick host hand text } {
 global ratiobin
 set USER [lindex $text 0]
 foreach line [split [exec $ratiobin DAYRATIO $USER] "\n"] {
     putquick "PRIVMSG $nick :$line"
 }
}

putlog "xL-uldlratio v1.2 by xoLax loaded"
